<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HacknetRAMRequirement](./bitburner.hacknetramrequirement.md)

## HacknetRAMRequirement interface

Player's Hacknet devices must have at least this much total RAM.

**Signature:**

```typescript
interface HacknetRAMRequirement 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [hacknetRAM](./bitburner.hacknetramrequirement.hacknetram.md) |  | number |  |
|  [type](./bitburner.hacknetramrequirement.type.md) |  | "hacknetRAM" |  |

